Bug 30599 - Allow archiving multiple suggestions
Summary: Allow archiving multiple suggestions
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 31027
  Show dependency treegraph
 
Reported: 2022-04-22 19:15 UTC by Nick Clemens
Modified: 2022-06-23 14:32 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact: Martin Renvoize
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06


Attachments
Bug 30599: Add an 'Archive selected' button (2.03 KB, patch)
2022-04-22 19:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 30599: Add an 'Archive selected' button (2.10 KB, patch)
2022-04-22 19:53 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 30599: Add an 'Archive selected' button (2.17 KB, patch)
2022-04-22 20:33 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 30599: Add an 'Archive selected' button (2.23 KB, patch)
2022-04-25 11:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-04-22 19:15:38 UTC
The code on the staff client can accept multiple suggestions for archiving, however, there is no button to do so
Comment 1 Nick Clemens 2022-04-22 19:18:20 UTC Comment hidden (obsolete)
Comment 2 Andrew Fuerste-Henry 2022-04-22 19:53:18 UTC Comment hidden (obsolete)
Comment 3 Andrew Fuerste-Henry 2022-04-22 20:33:33 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2022-04-25 11:18:20 UTC
Created attachment 133739 [details] [review]
Bug 30599: Add an 'Archive selected' button

This patch simply adds a new button on the suggestions interface to allow
for archiving multiple suggestions.

To test:
1 - Apply patch
2 - Create some purchase suggestions
3 - Select several suggestions
4 - Click 'Archive selected'
5 - Suggestions are archived
6 - You can view archived suggestions by selecting 'Suggestion information'->'Include archived'

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Felicity Brown <felicity.brown@montgomerycountymd.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-04-25 11:18:52 UTC
Spotting a new name here - thx for your sign-off, Felicity :)
Comment 6 Felicity Brown 2022-04-26 17:31:34 UTC
This would be great to get into the next release! Our acquisitions staff would be grateful!
Comment 7 Fridolin Somers 2022-05-02 21:25:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 8 Kyle M Hall 2022-05-13 15:52:34 UTC
Pushed to 21.11.x for 21.11.06
Comment 9 Victor Grousset/tuxayo 2022-06-23 01:46:08 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.
Comment 10 Martin Renvoize 2022-06-23 13:54:57 UTC
First one I've come across that's backported and affects documentation..

https://koha-community.org/manual/22.05/en/html/acquisitions.html?highlight=suggestion#managing-purchase-suggestions

The screenshot of the 'Suggestions management' page will need replacing to include the new 'Archive selected' box that appears.
Comment 11 Martin Renvoize 2022-06-23 14:29:41 UTC
Holding off on updating the docs screenshots whilst we consider bug 31027